<?php

class Wact_Template_Formatter_uppercase_TestCase extends Wact_Test_Case_Template {

    function testUppercaseVariable() {
        $tmpl = $this->createTempTemplate('{$test|uppercase}');

        $tmpl->setModel(array('test' => 'TesTing'));
        $output = $tmpl->capture();
        $this->assertEqual($output, 'TESTING');
    }

    function testUppercaseConstant() {
        $tmpl = $this->createTempTemplate('{$"FoO"|uppercase}');
        $output = $tmpl->capture();
        $this->assertEqual($output, 'FOO');
    }

}

?>